Subject: [bug#72577] [PATCH v2] services: agate: Change variable names and add system test.

From: Rodion Goritskov <[email-masked]>
Date: Fri, 16 Aug 2024 23:05:41 +0400

Hi!

Christopher Howard <[email-masked]> writes:
>Hi, I'm testing these patches in a qemu VM. I thought I should share that, if I explicitly set the certs field, I get an error:
>
> ```
> /home/user/config.scm:52:35: error: (agate-configuration (content "/srv/gemini") (certs "/srv/gemini-tls") (log-ip? #f)): extraneous field initializers (certs)
> ```
>

This patch (intentionally) renames the field "certs" to the
"certificates", as was advised in [1].
I could maintain the compatibility here, but taking into account how
long the Agate service was broken, I thought there are not a lot of
users, so we could just rename the field.

Good to know you are interested in the Agate service too!

So, in your case you could change the configuration to something like
that:

(service agate-service-type
	 (agate-configuration
	  (content "/srv/gemini")
	  (certificates "/srv/gemini-tls")
	  (log-ip? #f)))

1: https://issues.guix.gnu.org/71722